﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;
using ThinkGeo.MapSuite.Core;
using ThinkGeo.MapSuite.WpfDesktopEdition;

namespace WpfApplication10
{
    /// <summary>
    /// Interaction logic for MainWindow.xaml
    /// </summary>
    public partial class MainWindow : Window
    {
        public MainWindow()
        {
            InitializeComponent();
        }

        private void WpfMap_Loaded(object sender, RoutedEventArgs e)
        {
            Map1.MapUnit = GeographyUnit.Meter;
            MrSidRasterLayer layer1 = new MrSidRasterLayer(@"C:\Test\Rudolph\Rudolph\MrSid_Miner_Tgr46097\TGR46097\naip_1-1_2n_s_sd097_2006_1.sid");
            MrSidRasterLayer layer2 = new MrSidRasterLayer(@"C:\Test\Rudolph\Rudolph\MrSid_Kingsbury_Tgr46077\TGR46077\naip_1-1_2n_s_sd077_2006_1.sid");

            Map1.CurrentExtent = new RectangleShape(589030, 4936374, 650192, 4851352);

            LayerOverlay overlay1 = new LayerOverlay();
            overlay1.Layers.Add(layer1);
            LayerOverlay overlay2 = new LayerOverlay();
            overlay2.Layers.Add(layer2);
            Map1.Overlays.Add(overlay1);
            Map1.Overlays.Add(overlay2);
            Map1.Refresh();
        }
    }
}
